SimpleOrderedMap (Solr 3.6.2 API)
Keywords: org.apache.solr.util.SimpleOrderedMap class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.util
Class SimpleOrderedMap<T>

    java.lang.Object
      org.apache.solr.common.util.NamedList<T>
          org.apache.solr.common.util.SimpleOrderedMap<T>
              org.apache.solr.util.SimpleOrderedMap<T>

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<Map.Entry<String,T>>

Deprecated. Use org.apache.solr.common.util.SimpleOrderedMap.

    @Deprecated
    public class SimpleOrderedMap<T>

extends SimpleOrderedMap<T>

This class is scheduled for deletion. Please update your code to the moved package.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.common.util.NamedList
`NamedList.NamedListEntry<T>`

Field Summary

Fields inherited from class org.apache.solr.common.util.NamedList
`nvPairs`

Constructor Summary
`SimpleOrderedMap()` Deprecated.
`SimpleOrderedMap(List nameValuePairs)` Deprecated.
`SimpleOrderedMap(Map.Entry<String,T>[] nameValuePairs)` Deprecated.

Method Summary

Methods inherited from class org.apache.solr.common.util.SimpleOrderedMap
`clone`

Methods inherited from class org.apache.solr.common.util.NamedList
`add, addAll, addAll, equals, get, get, getAll, getName, getVal, hashCode, indexOf, iterator, remove, remove, setName, setVal, size, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleOrderedMap

    public SimpleOrderedMap()

  Deprecated.

### SimpleOrderedMap

    @Deprecated
    public SimpleOrderedMap(List nameValuePairs)

  Deprecated.

### SimpleOrderedMap

    public SimpleOrderedMap(Map.Entry<String,T>[] nameValuePairs)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD